iarray_get(3)

NAME
iarray_get - get pointer to nth element in iarray

SYNTAX
#include <libowfat/iarray.h>

void* iarray_get(iarray* x, size_t pos);

  iarray x;
  size_t pos;
  t* p = iarray_get(&x,pos);

DESCRIPTION
iarray_get is similar to iarray_allocate, but it only works if the element has previously been allocated. If the element in the iarray is not there, this function will fail instead of manipulating the iarray. This also guarantees that there will be no locks, so this function returns in a deterministic time.

RETURN VALUE
Return a pointer to the requested element. If there is no such element in the array, returns NULL.

SEE ALSO
iarray_init(3), iarray_allocate(3), iarray_free(3)